package ru.dbotthepony.mc.otm.datagen.tags

import ru.dbotthepony.mc.otm.registry.MStructureTags
import ru.dbotthepony.mc.otm.registry.game.MStructures

fun addStructureTags(tagsProvider: TagsProvider) {
	tagsProvider.structures.Appender(MStructureTags.LABORATORIES).add(MStructures.LABORATORY)

	tagsProvider.structures.Appender(MStructureTags.FIELD_RESEARCH_PODS)
		.add(MStructures.FIELD_RESEARCH_POD)
		.add(MStructures.FIELD_RESEARCH_POD_RUIN)

	tagsProvider.structures.Appender(MStructureTags.WRECKAGES).add(MStructures.WRECKAGE)
}
